from datetime import datetime, timedelta
import ast
import os
from Processing import *
from Global import *

PortefeuilleInit = 80000
liste_fichiers = []

nbtour=0
while(1):
	Portfeuille = PortefeuilleInit
	pourc = 0
	Action = [0] * 40
	
	weight1 = generatePoids(nbCouche0)
	weight2 = generatePoids(nbCouche1)
	weight3 = generatePoids(nbCouche2)
	weight4 = generatePoids(nbCouche3)
			
	couche1 = generateCouche(nbCouche1,nbCouche0)
	couche2 = generateCouche(nbCouche2,nbCouche1)
	couche3 = generateCouche(nbCouche3,nbCouche2)
	couche4 = generateCouche(nbCouche4,nbCouche3)
	
	if(verb):
		print("tour: ",nbtour)
	nbtour+=1
	
	with open("dateE.txt", "r") as file: #le date.txt est modifier pour commencer 30 jours apres
		dates = file.readlines()

		for date in dates:
			if(0):
				print(date)
				
			date = date.strip()
			valeurs_ponderees, valeurs_date = lirefichier(date)
			res = processing(valeurs_ponderees,weight1,weight2,weight3,weight4,couche1,couche2,couche3,couche4)
			for i in range(0,40):
				Action[i],Portfeuille=evaluation(res[i], valeurs_date[i], Action[i], Portfeuille)
			pourc = verification(valeurs_date,Action,Portfeuille)
			
			if pourc < 0.95 :
				break
			# ~ enregistre(nbtour,pourc)
		if pourc > 1.2:
			enregistre(nbtour,pourc,weight1,weight2,weight3,weight4,couche1,couche2,couche3,couche4)
